from practicum import find_mcu_boards
from peri import McuWithPeriBoard
from time import sleep
from sys import stdout
import subprocess
import os
import re

############################################################################

# def find_user() : #Find username
    # os.system("whoami > ID.txt")
    # ID = open('ID.txt', 'r').read().replace('\n', '')

def user_here() : #Check user is here or not?
    if(True) :
        return true
    elif (False) :
        return false

##############################Staring Program###############################

devs = find_mcu_boards()

if len(devs) == 0:
    print("*** No practicum board found.")
    exit(1)

b = McuWithPeriBoard(devs[0])
print("*** Practicum board found")
print("*** Manufacturer: %s" % \
        b.handle.getString(b.device.iManufacturer, 256))
print("*** Product: %s" % \
        b.handle.getString(b.device.iProduct, 256))

###########################Main Program#################################y####
os.system("whoami > ID.txt")
ID = open('ID.txt', 'r').read().replace('\n', '')
# find_user()

print ''
permission = raw_input('Start Program (y/n)? ') # Start Program
if permission == 'y' :
    permission = raw_input('Install xbacklight for setting brightness (y/n)? ')
    if(permission == 'y') :
        os.system('sudo apt-get install xbacklight') #Install xbacklight
elif permission == 'n' :
    print 'Byeeeeeeeeeeeeeeeeee~'
    exit()
while (True) :
    os.system("ping -c 1 sgp-1.valve.net | cut -f4 -d '=' | cut -f1 -d'm' > PING.txt")
    os.system("gsettings set org.gnome.desktop.background picture-uri file:///home/seaiin/Downloads/megaman.png")
    # ping = open('PING.txt', 'r').readlines ()
    ping = 30
    RANGE = b.getEchoTime()
    light = b.getLight()
    # print(ping[1])
    sleep(1)
    if 250 < RANGE < 600:
        print '%s not here!' %ID
        os.system("gsettings set org.gnome.desktop.background picture-uri file:///home/seaiin/Downloads/meme.jpg")
        os.system("gnome-screensaver-command -l")
    if 0 <= light < 256:
        os.system("xbacklight -set 25")
    elif 256 <= light < 512:
        os.system("xbacklight -set 50")
    elif 512 <= light < 768:
        os.system("xbacklight -set 75")
    elif 768 <= light < 1024:
        os.system("xbacklight -set 100")
    if ping > 100:
        b.setBuzzer(1)
    else:
        b.setBuzzer(0)
